# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  helper :all # include all helpers, all the time
  helper_method :admin?

  # See ActionController::RequestForgeryProtection for details
  # Uncomment the :secret if you're not using the cookie session store
  protect_from_forgery # :secret => 'fd304d9a4bc9d55c47180d1b5cf24ddf'
  
  private
  
  def admin?
    true
  end
  
  def require_admin
    raise "admin required" unless admin?
  end
end
