namespace :db do
  desc "Erase database and fill with a lot of test data."
  task :populate => :environment do
    # gem install populator
    require 'populator'
    
    [Movie, Review, Theater, Showing].each(&:delete_all)
    
    Movie.populate 500 do |movie|
      movie.name = Populator.words(1..3).titleize
      movie.minutes = 80..210
      
      Review.populate 10..50 do |review|
        review.movie_id = movie.id
        review.author_name = Populator.words(1..2).titleize
        review.stars = 1..5
        review.content = Populator.sentences(1..10)
      end
    end
    
    Theater.populate 10 do |theater|
      theater.name = Populator.words(1..3).titleize
      
      Showing.populate 3..20 do |showing|
        showing.theater_id = theater.id
        showing.movie_id = 1..500
        showing.starts_on = 2.weeks.ago
        showing.ends_on = 2.weeks.from_now
      end
    end
  end
end
